[arch-commits] Commit in python-stestr/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Wed Jun 6 04:09:47 UTC 2018


    Date: Wednesday, June 6, 2018 @ 04:09:47
  Author: felixonmars
Revision: 340700

archrelease: copy trunk to community-any

Added:
  python-stestr/repos/community-any/PKGBUILD
    (from rev 340699, python-stestr/trunk/PKGBUILD)
Deleted:
  python-stestr/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  140 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 70 insertions(+), 70 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-06-06 04:09:26 UTC (rev 340699)
+++ PKGBUILD	2018-06-06 04:09:47 UTC (rev 340700)
@@ -1,70 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Simon Sapin <simon dot sapin at exyr dot org>
-# Contributor: Kyle Keen <keenerd at gmail.com>
-
-pkgbase=python-stestr
-pkgname=(python-stestr python2-stestr)
-pkgver=2.0.0
-pkgrel=2
-pkgdesc="A test runner runner similar to testrepository"
-url="http://stestr.readthedocs.io/en/latest/"
-license=('Apache')
-arch=('any')
-makedepends=('python-future' 'python2-future' 'python-pbr' 'python2-pbr' 'python-cliff'
-             'python2-cliff' 'python-subunit' 'python2-subunit' 'python-fixtures' 'python2-fixtures'
-             'python-testtools' 'python2-testtools' 'python-yaml' 'python2-yaml' 'python-voluptuous'
-             'python2-voluptuous')
-checkdepends=('python-hacking' 'python2-hacking' 'python-sphinx' 'python2-sphinx' 'python-mock'
-              'python2-mock' 'python-subunit2sql' 'python2-subunit2sql' 'python-coverage'
-              'python2-coverage' 'python-ddt' 'python2-ddt')
-source=("https://pypi.io/packages/source/s/stestr/stestr-$pkgver.tar.gz")
-sha512sums=('503aec3badf43c56a2ac618bf6fca3f0dc27a432b9476c9c719c87c92794262012ff0dbadd02926891ee416cf2b80d943e731df6293a31ef9b3c5419259a9335')
-
-prepare() {
-  cp -a stestr-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/stestr-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/stestr-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/stestr-$pkgver
-  python setup.py install --root="$PWD/tmp_install" --optimize=1
-  (
-    export PYTHONPATH="$PWD/tmp_install/usr/lib/python3.6/site-packages"
-    export PATH="$PWD/tmp_install/usr/bin:$PATH"
-    stestr run || warning "Tests failed"
-  )
-
-  cd "$srcdir"/stestr-$pkgver-py2
-  python2 setup.py install --root="$PWD/tmp_install" --optimize=1
-  (
-    export PYTHONPATH="$PWD/tmp_install/usr/lib/python2.7/site-packages"
-    export PATH="$PWD/tmp_install/usr/bin:$PATH"
-    stestr run || warning "Tests failed"
-  )
-}
-
-package_python-stestr() {
-  depends=('python-future' 'python-cliff' 'python-pbr' 'python-subunit' 'python-fixtures'
-           'python-testtools' 'python-yaml' 'python-voluptuous')
-
-  cd stestr-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-stestr() {
-  depends=('python2-future' 'python2-cliff' 'python2-pbr' 'python2-subunit' 'python2-fixtures'
-           'python2-testtools' 'python2-yaml' 'python2-voluptuous')
-
-  cd stestr-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-
-  mv "$pkgdir"/usr/bin/stestr{,2}
-}

Copied: python-stestr/repos/community-any/PKGBUILD (from rev 340699, python-stestr/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-06-06 04:09:47 UTC (rev 340700)
@@ -0,0 +1,70 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Simon Sapin <simon dot sapin at exyr dot org>
+# Contributor: Kyle Keen <keenerd at gmail.com>
+
+pkgbase=python-stestr
+pkgname=(python-stestr python2-stestr)
+pkgver=2.1.0
+pkgrel=1
+pkgdesc="A test runner runner similar to testrepository"
+url="http://stestr.readthedocs.io/en/latest/"
+license=('Apache')
+arch=('any')
+makedepends=('python-future' 'python2-future' 'python-pbr' 'python2-pbr' 'python-cliff'
+             'python2-cliff' 'python-subunit' 'python2-subunit' 'python-fixtures' 'python2-fixtures'
+             'python-testtools' 'python2-testtools' 'python-yaml' 'python2-yaml' 'python-voluptuous'
+             'python2-voluptuous')
+checkdepends=('python-hacking' 'python2-hacking' 'python-sphinx' 'python2-sphinx' 'python-mock'
+              'python2-mock' 'python-subunit2sql' 'python2-subunit2sql' 'python-coverage'
+              'python2-coverage' 'python-ddt' 'python2-ddt')
+source=("https://pypi.io/packages/source/s/stestr/stestr-$pkgver.tar.gz")
+sha512sums=('a99d0659da0ca2b86703529df9ef6d135578bd8374a2afcbd10bd96f24f5e6dd1dacd5929d96a083881f1db2a930b039d9045348a0298d84d2480c6c9a75d1f7')
+
+prepare() {
+  cp -a stestr-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/stestr-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/stestr-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/stestr-$pkgver
+  python setup.py install --root="$PWD/tmp_install" --optimize=1
+  (
+    export PYTHONPATH="$PWD/tmp_install/usr/lib/python3.6/site-packages"
+    export PATH="$PWD/tmp_install/usr/bin:$PATH"
+    stestr run || warning "Tests failed"
+  )
+
+  cd "$srcdir"/stestr-$pkgver-py2
+  python2 setup.py install --root="$PWD/tmp_install" --optimize=1
+  (
+    export PYTHONPATH="$PWD/tmp_install/usr/lib/python2.7/site-packages"
+    export PATH="$PWD/tmp_install/usr/bin:$PATH"
+    stestr run || warning "Tests failed"
+  )
+}
+
+package_python-stestr() {
+  depends=('python-future' 'python-cliff' 'python-pbr' 'python-subunit' 'python-fixtures'
+           'python-testtools' 'python-yaml' 'python-voluptuous')
+
+  cd stestr-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-stestr() {
+  depends=('python2-future' 'python2-cliff' 'python2-pbr' 'python2-subunit' 'python2-fixtures'
+           'python2-testtools' 'python2-yaml' 'python2-voluptuous')
+
+  cd stestr-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+
+  mv "$pkgdir"/usr/bin/stestr{,2}
+}



More information about the arch-commits mailing list